package de.tub.mapc.Coordination;

import java.io.IOException;

import de.dailab.keks.io.IDeserialiser;
import de.dailab.keks.io.ISerialiser;
import de.tub.mapc.knowledge.Position;

public class ExploringPoint extends Position{
	
	private String agent = null;
	
	public ExploringPoint(){
		super();
	}
	
	public ExploringPoint(int x, int y){
		super(x,y);
	}
	
	public void setAgent(String agent) {
		this.agent = agent;
	}
	public String getAgent() {
		return agent;
	}
	
	@Override
	public void deserialise(IDeserialiser arg0) throws IOException,
			ClassNotFoundException {
			agent = arg0.readString();
			super.deserialise(arg0);
	}

	@Override
	public void serialise(ISerialiser arg0) throws IOException {
		arg0.writeString(agent);
		super.serialise(arg0);
	}
	
}
