package de.tub.mapc.knowledge;

import java.io.IOException;

import de.dailab.keks.io.IDeserialiser;
import de.dailab.keks.io.ISerialiser;
import de.jiac.micro.agent.memory.IFact;

public class SimulationEnd implements IFact{

	String result;
	float score;
	
	public SimulationEnd(String result, float score){
		this.result = result;
		this.score = score;
	}
	
	public String getResult() {
		return result;
	}
	
	public float getScore() {
		return score;
	}

	@Override
	public void deserialise(IDeserialiser arg0) throws IOException,
			ClassNotFoundException {
		result = arg0.readString();
		score = arg0.readFloat();
		
	}

	@Override
	public void serialise(ISerialiser arg0) throws IOException {
		arg0.writeString(result);
		arg0.writeFloat(score);
		
	}

}
